Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Persistent

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  Accessioned, Allele, AlleleFeature, AlleleGroup, Analysis, Chromosome, ChromosomeBand, DnaDnaAlignFeature, DnaDnaAlignment, DnaFragment, DnaProteinAlignment, Domain, Exon, ExternalDatabase, ExternalRef, Family, Feature, FeaturePair, Gene, GenomeDB, GenomicAlign, GenomicAlignBlock, Genotype, Homology, Individual, IndividualGenotype, KaryotypeBand, LDFeature, Locatable, MappingSession, Marker, MarkerFeature, Member, MethodLink, MethodLinkSpeciesSet, MiscFeature, MiscSet, OligoArray, OligoFeature, OligoProbe, Population, Population, PopulationGenotype, PredictionExon, PredictionTranscript, ProteinFeature, Qtl, QtlFeature, RepeatConsensus, RepeatFeature, Sequence, SequenceRegion, SimpleFeature, StableIDEvent, Transcript, TranscriptVariation, Translation, Variation, VariationFeature, VariationGroup, VariationGroupFeature

All Known Implementing Classes:
  org.ensembl.datamodel.impl.BaseFeatureImpl, org.ensembl.datamodel.impl.LocatableImpl, org.ensembl.datamodel.impl.PersistentImpl

public interface Persistent
extends java.io.Serializable

Capable of storing in persistent storage.

Method Summary
`CoreDriver` | `getDriver()` The driver might or might have been set depending on the object's history .
`long` | `getInternalID()`
`boolean` | `sameInternalID(Persistent other)`
`void` | `setDriver(CoreDriver driver)`
`void` | `setInternalID(long internalID)`

Method Detail

### getInternalID

    public long getInternalID()

### setInternalID

    public void setInternalID(long internalID)

### sameInternalID

    public boolean sameInternalID(Persistent other)

### getDriver

    public CoreDriver getDriver()

  The driver might or might have been set depending on the object's history .

  Returns:
    driver if set, otherwise null.

### setDriver

    public void setDriver(CoreDriver driver)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD